Classes

- any_address
- any_connection
- any_connection_params
- bad_field_access
- basic_format_context
- bound_statement_tuple
- bound_statement_iterator_range
- buffer_params (legacy)
- character_set
- connect_params
- connection (legacy)
- connection_pool
- constant_string_view
- date
- datetime
- diagnostics
- error_with_diagnostics
- execution_state
- field
- field_view
- format_arg
- format_context_base
- formattable_ref
- formatter
- format_options
- format_sequence
- handshake_params (legacy)
- host_and_port
- metadata
- pfr_by_name
- pfr_by_position
- pipeline_request (experimental)
- pool_params
- pooled_connection
- results
- resultset_view
- resultset
- row
- row_view
- rows
- rows_view
- stage_response (experimental)
- statement
- static_execution_state
- static_results
- unix_path
- with_diagnostics_t
- with_params_t

Enumerations

- address_type
- client_errc
- column_type
- common_server_errc
- field_kind
- metadata_mode
- quoting_context
- ssl_mode

Constants

- ascii_charset
- default_initial_read_buffer_size
- default_port
- default_port_string
- max_date
- min_date
- max_datetime
- min_datetime
- max_time
- min_time
- utf8mb4_charset

Functions

- escape_string
- format_sql
- format_sql_to
- get_client_category
- get_common_server_category
- get_mysql_server_category
- get_mariadb_server_category
- make_error_code
- runtime
- sequence
- throw_on_error (legacy)
- with_diagnostics
- with_params

Type aliases

- blob
- blob_view
- days
- error_code
- format_context
- make_tuple_element_t
- metadata_collection_view
- sequence_range_t
- string_view
- tcp_connection (legacy)
- tcp_ssl_connection (legacy)
- time
- underlying_row_t
- unix_connection (legacy)
- unix_ssl_connection (legacy)

Concepts

- ExecutionRequest
- ExecutionStateType
- FieldViewFwdIterator
- Formattable
- OutputString
- ResultsType
- SocketStream
- StaticRow
- Stream
- WritableField
- WritableFieldTuple

Reference tables

- Dynamic interface type mappings
- ReadableField types
- WritableField types
- Formattable types
- Pipeline stage reference (experimental)